import "./globals.css";
import type { Metadata } from "next";
import { ThemeProvider } from "@/app/components/theme-provider";
import { ReactNode } from "react";
import { jetbrainsMono } from "@/app/common/font/font";
import { Toaster } from "@/app/components/ui/toaster";
import { cn } from "@/app/common/utils";
import { TooltipProvider } from "@/app/components/ui/tooltip";

export const metadata: Metadata = {
  title: "Paste",
  description: "A simple Pastebin service",
};

export default function RootLayout({
  children,
}: Readonly<{
  children: ReactNode;
}>) {
  return (
    <html lang="en">
      <body className={cn(jetbrainsMono.className, "w-screen h-screen")}>
        <TooltipProvider>
          <Toaster />
          <ThemeProvider
            attribute="class"
            defaultTheme="dark"
            enableSystem
            disableTransitionOnChange
          >
            {children}
          </ThemeProvider>
        </TooltipProvider>
      </body>
    </html>
  );
}
